Subject: [PATCH v2 1/2] at91: gpio: use gpiolib API to mark a GPIO used as an IRQ

From: [email-masked] (Nicolas Ferre)
Date: Fri, 31 Jan 2014 09:57:30 +0100

On 31/01/2014 08:55, Linus Walleij :
> On Thu, Jan 23, 2014 at 11:37 AM, Jean-Jacques Hiblot
> <[email-masked]> wrote:
> 
>> When an IRQ is started on a GPIO line, mark this GPIO as IRQ in
>> the gpiolib so we can keep track of the usage centrally.
>>
>> Signed-off-by: Jean-Jacques Hiblot <[email-masked]>
> 
> Acked-by: Linus Walleij <[email-masked]>
> 
> Nicolas, are you queueing this patch?

Yes, I will.

> I guess this custom GPIO implementation is going away with
> the transition to pinctrl else I'd requested that it be moved to
> drivers/gpio...

Absolutely. But I suspect it will still be around for some time...

Thanks for your review. Bye,
-- 
Nicolas Ferre